﻿from random import randint,choice

class LivingThing():
    def __init__(self):
        self.name = "some name"
        self.health = 1
    def tire(self):
        self.health = self.health - 2
    def hurt(self):
        self.health = self.health - randint(0, self.health)
    def heal(self):
        self.health = self.health + 1
        
class Player(LivingThing):
    def __init__(self, name):
        LivingThing.__init__(self)
        self.name=name
        self.health = 15
        self.status='regular'
        
    def help(self, monster):
        pass
    
    def stats(self, monster):
        pass
    
    def explore(self, monster):
        pass
    
    def run(self, monster):
        pass
    
    def fight(self, monster):
        pass
    
class Monster(LivingThing):
    def __init__(self,name,health):
        self.name=name
        self.health = health
        
Commands = {
    'help': Player.help,
    'stats': Player.stats,
    'explore': Player.explore,
    'run': Player.run,
    'fight': Player.fight
}

name = input('What is your name?  ')
hero = Player(name)
goblin=Monster('Goblin',20)
dragon=Monster('Dragon',10)
monsters = []
monsters.append(goblin)
monsters.append(dragon)
monster = choice(monsters)
print (' (type help to get a list of actions) ')
print (hero.name, 'enters a dark cave,searching for adventure. You will soon face the',monster.name)
while hero.health > 0 and monster.health > 0:
    line = input('What do you want to do? >> ')
    if line in Commands.keys():
        Commands[line](hero,monster)
    else:
        print (hero.name, 'does not understand this suggestion.')
print('Game over')

