#include <Hbridge.h>

#define GO_LEFT 'a'
#define GO_RIGHT 'd'
#define GO_FORWARD 'w'
#define GO_BACK 's'
#define STOP 'x'

// Hbridge object pin order is: in1, in2, in3, in4, enA, enB
Hbridge myMotors1(7,6,5,4,9,3);

void setup() {
Serial.begin(9600);//start Serial communication at a rate of 9600 baud
Serial.println("type: 'w' forward, 's' back, 'a' left, 'd' right, 'x' stop");
}

void loop() {
if(Serial.available()) {
char data = (char)Serial.read();
switch(data) {
  case GO_FORWARD:
    myMotors1.goForward();
    Serial.println("motors forward");    
    break; 
  case GO_BACK:
    myMotors1.goBackward();
    Serial.println("motors backward");  
    break;
  case GO_LEFT:
    myMotors1.goLeft();
    Serial.println("motors left");  
    break;
  case GO_RIGHT:
    myMotors1.goRight();
    Serial.println("motors right");  
    break;
  case STOP:
    myMotors1.allOff();
    Serial.println("motors stopped");  
    break;
}
}
}
