/*
  Hbridge.h - Library for using the L298N H-bridge module
  Created by Seven Vinton April 2017
  Released into the public domain.
*/
#ifndef Hbridge_h
#define Hbridge_h

#include "Arduino.h"

class Hbridge
{
  public:
    Hbridge(int in1, int in2, int in3, int in4, int enA, int enB);
    void allOff();
    void goForward();
    void goBackward();
    void goRight();
    void goLeft();
  private:
    int _in1;
    int _in2;
    int _in3;
    int _in4;
    int _enA;
    int _enB;
};
#endif